<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrEquityFreezeMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrEquityFreeze">
            <id property="xhCodeId" column="xh_code_id" jdbcType="BIGINT"/>
            <result property="etpsId" column="ETPS_ID" jdbcType="VARCHAR"/>
            <result property="froid" column="FROID" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="parentId" column="PARENT_ID" jdbcType="VARCHAR"/>
            <result property="executeitem" column="EXECUTEITEM" jdbcType="VARCHAR"/>
            <result property="executeitemCn" column="EXECUTEITEM_CN" jdbcType="VARCHAR"/>
            <result property="froauth" column="FROAUTH" jdbcType="VARCHAR"/>
            <result property="frodocno" column="FRODOCNO" jdbcType="VARCHAR"/>
            <result property="executeno" column="EXECUTENO" jdbcType="VARCHAR"/>
            <result property="invtype" column="INVTYPE" jdbcType="VARCHAR"/>
            <result property="invtypeCn" column="INVTYPE_CN" jdbcType="VARCHAR"/>
            <result property="inv" column="INV" jdbcType="VARCHAR"/>
            <result property="certype" column="CERTYPE" jdbcType="VARCHAR"/>
            <result property="certypeCn" column="CERTYPE_CN" jdbcType="VARCHAR"/>
            <result property="cerno" column="CERNO" jdbcType="VARCHAR"/>
            <result property="blictype" column="BLICTYPE" jdbcType="VARCHAR"/>
            <result property="blictypeCn" column="BLICTYPE_CN" jdbcType="VARCHAR"/>
            <result property="blicno" column="BLICNO" jdbcType="VARCHAR"/>
            <result property="corentname" column="CORENTNAME" jdbcType="VARCHAR"/>
            <result property="regno" column="REGNO" jdbcType="VARCHAR"/>
            <result property="uniscid" column="UNISCID" jdbcType="VARCHAR"/>
            <result property="froam" column="FROAM" jdbcType="DECIMAL"/>
            <result property="foramme" column="FORAMME" jdbcType="VARCHAR"/>
            <result property="regcapcur" column="REGCAPCUR" jdbcType="VARCHAR"/>
            <result property="regcapcurCn" column="REGCAPCUR_CN" jdbcType="VARCHAR"/>
            <result property="frozdeadline" column="FROZDEADLINE" jdbcType="INTEGER"/>
            <result property="frofrom" column="FROFROM" jdbcType="TIMESTAMP"/>
            <result property="froto" column="FROTO" jdbcType="TIMESTAMP"/>
            <result property="keepfrom" column="KEEPFROM" jdbcType="TIMESTAMP"/>
            <result property="keepto" column="KEEPTO" jdbcType="TIMESTAMP"/>
            <result property="keepdeadline" column="KEEPDEADLINE" jdbcType="INTEGER"/>
            <result property="publicdate" column="PUBLICDATE" jdbcType="TIMESTAMP"/>
            <result property="frozstate" column="FROZSTATE" jdbcType="VARCHAR"/>
            <result property="frozstateCn" column="FROZSTATE_CN" jdbcType="VARCHAR"/>
            <result property="thawdate" column="THAWDATE" jdbcType="TIMESTAMP"/>
            <result property="loseeffdate" column="LOSEEFFDATE" jdbcType="TIMESTAMP"/>
            <result property="loseeffres" column="LOSEEFFRES" jdbcType="VARCHAR"/>
            <result property="loseeffresCn" column="LOSEEFFRES_CN" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        xh_code_id,ETPS_ID,FROID,
        PRIPID,PARENT_ID,EXECUTEITEM,
        EXECUTEITEM_CN,FROAUTH,FRODOCNO,
        EXECUTENO,INVTYPE,INVTYPE_CN,
        INV,CERTYPE,CERTYPE_CN,
        CERNO,BLICTYPE,BLICTYPE_CN,
        BLICNO,CORENTNAME,REGNO,
        UNISCID,FROAM,FORAMME,
        REGCAPCUR,REGCAPCUR_CN,FROZDEADLINE,
        FROFROM,FROTO,KEEPFROM,
        KEEPTO,KEEPDEADLINE,PUBLICDATE,
        FROZSTATE,FROZSTATE_CN,THAWDATE,
        LOSEEFFDATE,LOSEEFFRES,LOSEEFFRES_CN,
        S_EXT_DATATIME,uni_code
    </sql>
</mapper>
